com.dlsc.flexgantt.swing.action.dateline

## Class ZoomOutAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.dateline.AbstractDatelineAction
      - - com.dlsc.flexgantt.swing.action.dateline.ZoomOutAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class ZoomOutAction
      extends AbstractDatelineAction

  An action that will zoom out of the dateline so that details will become less visible.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `Dateline.zoomOut()`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.dateline.AbstractDatelineAction

      `dateline`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoomOutAction(Dateline dateline)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.dateline.AbstractDatelineAction

      `getDateline, setDateline`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoomOutAction

          public ZoomOutAction(Dateline dateline)

      Constructs a new action.
      Parameters:
        `dateline` - the dateline on which to invoke the action
      Since:
        1.0

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.